WebLogicDomain (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicDomain interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicDomain

All Superinterfaces:
  ConfigurationItem, J2EEDomain, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebLogicDomain

extends J2EEDomain

Represents a WebLogic management domain.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDomain
`IBM_COPYRIGHT`

Method Summary
`WebLogicCluster[]` | `getClusters()`
`ConfigFile` | `getConfigFile()`
`java.lang.String` | `getConsoleContextPath()`
`boolean` | `getConsoleEnabled()`
`ComputerSystem` | `getHost()`
`WebLogicJTA` | `getJTA()`
`long` | `getLastModificationTime()`
`WebLogicMachine[]` | `getMachines()`
`java.lang.String` | `getRootDirectory()`
`boolean` | `hasClusters()`
`boolean` | `hasConfigFile()`
`boolean` | `hasConsoleContextPath()`
`boolean` | `hasConsoleEnabled()`
`boolean` | `hasHost()`
`boolean` | `hasJTA()`
`boolean` | `hasLastModificationTime()`
`boolean` | `hasMachines()`
`boolean` | `hasRootDirectory()`
`void` | `setClusters(WebLogicCluster[] clusters)`
`void` | `setConfigFile(ConfigFile configFile)`
`void` | `setConsoleContextPath(java.lang.String consoleContextPath)`
`void` | `setConsoleEnabled(boolean consoleEnabled)`
`void` | `setHost(ComputerSystem host)`
`void` | `setJTA(WebLogicJTA jta)`
`void` | `setLastModificationTime(long lastModificationTime)`
`void` | `setMachines(WebLogicMachine[] machines)`
`void` | `setRootDirectory(java.lang.String rootDirectory)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDomain
`getAdminHost, getDeployedObjects, getName, getOwner, getPrimarySAP, getResources, getServers, hasAdminHost, hasDeployedObjects, hasName, hasOwner, hasPrimarySAP, hasResources, hasServers, setAdminHost, setDeployedObjects, setName, setOwner, setPrimarySAP, setResources, setServers`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getJTA

    WebLogicJTA getJTA()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setJTA

    void setJTA(WebLogicJTA jta)

### hasJTA

    boolean hasJTA()

### getMachines

    WebLogicMachine[] getMachines()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"
  Containment Relationship:
    true

### setMachines

    void setMachines(WebLogicMachine[] machines)

### hasMachines

    boolean hasMachines()

### getClusters

    WebLogicCluster[] getClusters()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"
  Containment Relationship:
    true

### setClusters

    void setClusters(WebLogicCluster[] clusters)

### hasClusters

    boolean hasClusters()

### getHost

    ComputerSystem getHost()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RunsOn" reverse="false"

### setHost

    void setHost(ComputerSystem host)

### hasHost

    boolean hasHost()

### getConfigFile

    ConfigFile getConfigFile()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setConfigFile

    void setConfigFile(ConfigFile configFile)

### hasConfigFile

    boolean hasConfigFile()

### getConsoleContextPath

    java.lang.String getConsoleContextPath()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConsoleContextPath

    void setConsoleContextPath(java.lang.String consoleContextPath)

### hasConsoleContextPath

    boolean hasConsoleContextPath()

### getLastModificationTime

    long getLastModificationTime()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLastModificationTime

    void setLastModificationTime(long lastModificationTime)

### hasLastModificationTime

    boolean hasLastModificationTime()

### getRootDirectory

    java.lang.String getRootDirectory()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRootDirectory

    void setRootDirectory(java.lang.String rootDirectory)

### hasRootDirectory

    boolean hasRootDirectory()

### getConsoleEnabled

    boolean getConsoleEnabled()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConsoleEnabled

    void setConsoleEnabled(boolean consoleEnabled)

### hasConsoleEnabled

    boolean hasConsoleEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD